## org.omg.IOP
Class Encoding

    java.lang.Object
      |
      +--org.omg.IOP.Encoding

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class Encoding
extends java.lang.Object
implements IDLEntity

Struct definition : Encoding

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`short` `format` Struct member format
`byte` `major_version` Struct member major_version
`byte` `minor_version` Struct member minor_version

Constructor Summary
`Encoding()` Default constructor
`Encoding(short format, byte major_version, byte minor_version)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### format

    public short format

  Struct member format

### major_version

    public byte major_version

  Struct member major_version

### minor_version

    public byte minor_version

  Struct member minor_version

Constructor Detail

### Encoding

    public Encoding()

  Default constructor

### Encoding

    public Encoding(short format,
                    byte major_version,
                    byte minor_version)

  Constructor with fields initialization
  Parameters:
    `format` - format struct member
    `major_version` - major_version struct member
    `minor_version` - minor_version struct member